How to exclude or include categories in wp rest API without query parameters?
How to exclude or include categories in wp rest API without query parameters?
How to exclude or include categories in wp rest API without query parameters?
Bulk Update Post Meta Values from Different Post via Rest Api
wp_insert_post function and automatic trashing posts once is no longer in API
Thanks @sallyCJ for fixing my error ! Here’s some examples for WP-API backbone JS client. It may help others : Fetch post of a certain author and category : var filteredPosts = new wp.api.collections.Posts(); authorsPosts.fetch({ data: { author: currentUserId, categories: 42 } }).then( posts => { for(const post of posts){ //do stuff with each post … Read more
I found the fix without code. I installed the Rest API Helper Plugin and it now exposed the custom fields on a given post type.
REST API post times out when content is too large
Integrate admin plugin into template. Very interesant (live search + autocomplete with wp rest api, in vanilla js)
There are 3 ways to authenticate a user using a REST api end-point request, 1- using cookies, which is the way WordPress keeps track of authenticated users in POST requests. You pass the authentication details in your REST request, use the wp_signon() function to sign-in your user, and if successful you set the authentication cookie … Read more
403 Error When Fetching Data from the Settings Rest Route for Non-Admin Users
In the file /etc/ca-certificates.conf, you need to find the line: mozilla / DST_Root_CA_X3.crt and put the “!” symbol at the beginning of the dates: ! mozilla / DST_Root_CA_X3.crt Next, you need to run the command: sudo update-ca-certificates